<?if(!defined("TDM_PROLOG_INCLUDED") || TDM_PROLOG_INCLUDED!==true)die();
/*
Documentation:
http://ml-auto.by/webservice/
http://ml-auto.ru/webservice/

Result array sample:
Array
(
    [0] => stdClass Object
        (
            [PIN] => 06688
            [BRAND] => FEBI BILSTEIN
            [NAME] => РОЛИК AUDI_VW 1.6_1.8 (ГРМ)
            [QUANTITY] => 10
            [PRICE] => 21.54
            [DATE] => 20170225101222
            [STORAGE_CODE] => 207
            [CHANCE] => 78.36
            [MIN] => 1
            [ANALOG] => 1
        )

*/



//Options
$searchType = '0'; //Настройка поиска, с аналогами или без. 0 или 1. По умолчанию 0 - поиск без аналогов.
$siteName = 'ml-auto.by'; //Белорусским клиентам ml-auto.by, для России ml-auto.ru
$timeout = 5; //Максимальное время ожидания ответа от сервера, по каждому запросу, в секундах.





foreach($arWsParts as $arPart){

    $login = $arWS['LOGIN'];
    $password = $arWS['PASSW'];
    $article = $arPart['ARTICLE'];
    $brand = $arPart['BRAND'];

    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, 'https://www.'.$siteName.'/webservice/Search/');
	curl_setopt($curl, CURLOPT_TIMEOUT, $timeout);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER,true);
    curl_setopt($curl, CURLOPT_POST, true);
    curl_setopt($curl, CURLOPT_POSTFIELDS, "LOGIN=$login&PASSWORD=$password&ARTICLE=$article&BRAND=$brand&SEARCH_TYPE=$searchType");
    $result = curl_exec($curl);
    curl_close($curl);


    //Remove BOM
	$result = substr($result, 3);

    $data = json_decode($result);


    if (count($data->RESPONSE)>0){
        foreach ($data->RESPONSE as $dd){

            $dateY = substr($dd->DATE,0,4);
            $dateM = substr($dd->DATE,4,2);
            $dateD = substr($dd->DATE,6,2);
            $date1 = "$dateY-$dateM-$dateD";
            $deliv=ceil((strtotime($date1)-time())/86400);

            //Make valid Price array
            $arPrice = TDMPriceArray($arPart);
            //Webservice data
            $arPrice["ARTICLE"] = strtoupper($dd->PIN);
            $arPrice["ALT_NAME"] = $dd->NAME;
            $arPrice["BRAND"] = strtoupper($dd->BRAND);
            $arPrice["PRICE"] = $dd->PRICE;
            $arPrice["CURRENCY"] = $arWS['CURRENCY'];
            if($arPrice['CURRENCY']=='РУБ'){$arPrice['CURRENCY']='RUB';} //only ISO currency in module
            $arPrice["DAY"] = $deliv;
            $arPrice["AVAILABLE"] = $dd->QUANTITY;
            $arPrice["STOCK"] = $dd->STORAGE_CODE;
            //Price options
            $arOps = Array();

            if(intval($dd->CHANCE)>0){$arOps['PERCENT_GIVE']=intval($dd->CHANCE);}
            if(intval($dd->MIN)>1){$arOps['MINIMUM']=intval($dd->MIN);}
            $arPrice["OPTIONS"] = TDMOptionsImplode($arOps,$arPrice);
            //Add new record
            $arPrices[] = $arPrice;
        }
    }
}

?>
